<?php


namespace WPEasyTranslate\Model;


use MetatickPluginLib\Model\OptionModel;
use WPEasyTranslate\Plugin;

class Settings extends OptionModel
{
    const OPTION = Plugin::SLUG;
    const NETWORK = false;

    public static $default = [
        'enabled' => false,
        'background' => '#ffffff',
        'color' => '#000000',
        'location' => 'bottom-right',
        'english_flag' => '_Half_USA_Half_GB',

        'af' => false,
        'sq' => false,
        'am' => false,
        'ar' => true,
        'hy' => false,
        'az' => false,
        'eu' => false,
        'be' => false,
        'bn' => true,
        'bs' => false,
        'bg' => false,
        'ca' => false,
        'ceb' => false,
        'ny' => false,
        'zh-CN' => true,
        'zh-TW' => false,
        'co' => false,
        'hr' => false,
        'cs' => false,
        'da' => false,
        'nl' => true,
        'en' => true,
        'et' => false,
        'tl' => false,
        'fi' => false,
        'fr' => true,
        'fy' => false,
        'gl' => false,
        'ka' => false,
        'de' => true,
        'el' => false,
        'gu' => false,
        'ht' => false,
        'ha' => false,
        'haw' => false,
        'he' => false,
        'hi' => true,
        'hmn' => false,
        'hu' => false,
        'is' => false,
        'ig' => false,
        'id' => true,
        'ga' => false,
        'it' => true,
        'ja' => true,
        'jw' => false,
        'kn' => false,
        'kk' => false,
        'km' => false,
        'ko' => false,
        'ku' => false,
        'ky' => false,
        'lo' => false,
        'lv' => false,
        'lt' => false,
        'lb' => false,
        'mk' => false,
        'mg' => false,
        'ms' => true,
        'ml' => false,
        'mt' => false,
        'mi' => false,
        'mr' => false,
        'mn' => false,
        'my' => false,
        'ne' => false,
        'no' => false,
        'ps' => false,
        'fa' => false,
        'pl' => false,
        'pt' => true,
        'pa' => false,
        'ro' => false,
        'ru' => true,
        'sm' => false,
        'gd' => false,
        'sr' => false,
        'st' => false,
        'sn' => false,
        'sd' => false,
        'si' => false,
        'sk' => false,
        'sl' => false,
        'so' => false,
        'es' => true,
        'su' => false,
        'sw' => false,
        'sv' => false,
        'tg' => false,
        'ta' => false,
        'te' => false,
        'th' => false,
        'tr' => false,
        'uk' => false,
        'ur' => false,
        'uz' => false,
        'vi' => false,
        'cy' => false,
        'xh' => false,
        'yi' => false,
        'yo' => false,
        'zu' => false
    ];
}